- Test this endpoint in the playground
- Check out official Python client
Retrieve enriched user profile based on the provided Linkedin profile ID or email address as a query parameter. Linkedin profile ID is the part that comes after https://www.linkedin.com/in/ in the profile URL.
You can provide docid (LinkedIn profile ID) or email. If only email is provided, the system will attempt to resolve it to a LinkedIn profile.
Cost: 1 credit + extra credits for each of high_freshness, reveal_emails, reveal_phones and with_profile parameters if enabled. reveal_emails and reveal_phones are 6 credits each when contact data is found. Email lookup adds +1 credit.
Rate limit: 60 requests per user per 60 seconds. When the rate limit is exceeded, the API returns HTTP 429 with details about the triggered window, current value, and limit.
400Invalid parameter values or missing required parameters. At least one of docid or email must be provided. JSON body contains the error message.
401Invalid API key
404Profile not found
429Rate limit exceeded. JSON body contains the triggered window, current value, and limit.
